LibreOffice: cppu::BootstrapException Class Reference

LibreOffice LibreOffice 6.1 SDK C/C++ API Reference

Public Member Functions | List of all members
cppu::BootstrapException Class Reference

An exception indicating a bootstrap error. More...

`#include <bootstrap.hxx>`

## Public Member Functions
| BootstrapException ()
| Constructs a BootstrapException. More...
| BootstrapException (const ::rtl::OUString &rMessage)
| Constructs a BootstrapException with the specified detail message. More...
| BootstrapException (const BootstrapException &e)
| Copy constructs a BootstrapException. More...
virtual | ~BootstrapException ()
| Destructs a BootstrapException. More...
BootstrapException & | operator= (const BootstrapException &e)
| Assigns a BootstrapException. More...
const ::rtl::OUString & | getMessage () const
| Gets the message. More...

## Detailed Description

An exception indicating a bootstrap error.

Since
  UDK 3.2.0

## Constructor & Destructor Documentation

## ◆ BootstrapException() [1/3]

cppu::BootstrapException::BootstrapException | ( |  | ) |

Constructs a BootstrapException.

## ◆ BootstrapException() [2/3]

cppu::BootstrapException::BootstrapException | ( | const ::rtl::OUString & | rMessage | ) |

Constructs a BootstrapException with the specified detail message.

Parameters

  rMessage | A message containing any details about the exception.

## ◆ BootstrapException() [3/3]

cppu::BootstrapException::BootstrapException | ( | const BootstrapException & | e | ) |

Copy constructs a BootstrapException.

## ◆ ~BootstrapException()

virtual cppu::BootstrapException::~BootstrapException | ( |  | ) |
| virtual

Destructs a BootstrapException.

## Member Function Documentation

## ◆ getMessage()

const ::rtl::OUString& cppu::BootstrapException::getMessage | ( |  | ) | const

Gets the message.

Returns
  A reference to the message. The reference is valid for the lifetime of this BootstrapException.

## ◆ operator=()

BootstrapException& cppu::BootstrapException::operator= | ( | const BootstrapException & | e | ) |

Assigns a BootstrapException.

The documentation for this class was generated from the following file:

- cppuhelper/bootstrap.hxx